## django-piston3 0.3~rc2

=== requirements.txt ===
six
python-mimeparse
django >= 1.6

=== debian/changelog ===
django-piston3 (0.3~rc2-3ubuntu9) focal; urgency=medium

  * Drop python2 package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Nov 2019 01:57:37 +0000

django-piston3 (0.3~rc2-3ubuntu8) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:38:56 +0000

django-piston3 (0.3~rc2-3ubuntu7) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:19:56 +0000

django-piston3 (0.3~rc2-3ubuntu6) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:35:13 +0000

django-piston3 (0.3~rc2-3ubuntu5) bionic; urgency=medium

  * d/p/receive-request-lp1750998.patch: Re-enable.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 27 Feb 2018 09:21:57 -0500

django-piston3 (0.3~rc2-3ubuntu4) bionic; urgency=medium

  * d/p/receive-request-lp1750998.patch: Temporarily disable as this has
    introduced regressions that are breaking applications (e.g. MAAS).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 23 Feb 2018 18:42:00 -0500

django-piston3 (0.3~rc2-3ubuntu3) bionic; urgency=medium

  * debian/patches/receive-request-lp1750998.patch: Fix authenticators
    challenge method to receive the request. (LP: #1750998)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Feb 2018 15:57:25 -0500

django-piston3 (0.3~rc2-3ubuntu2) artful; urgency=medium

  [ Danilo Segan ]
  * debian/patches/support-django-1.11.patch: Add patch to support
    Django 1.11.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 03 Jul 2017 11:56:22 -0400

django-piston3 (0.3~rc2-3ubuntu1) xenial; urgency=medium

  * Provides/Conflicts/Replaces: django-piston

 -- LaMont Jones <lamont@canonical.com>  Mon, 23 Nov 2015 11:09:56 -0700

django-piston3 (0.3~rc2-3build1) xenial; urgency=medium

  * No-change upload to ubuntu.  (Debian is in NEW)

 -- LaMont Jones <lamont@canonical.com>  Mon, 23 Nov 2015 09:33:54 -0700

django-piston3 (0.3~rc2-3) unstable; urgency=medium

  * Allow using "piston" as the module name.

 -- LaMont Jones <lamont@ubuntu.com>  Mon, 23 Nov 2015 07:24:43 -0700

django-piston3 (0.3~rc2-2) unstable; urgency=medium

  * Does not handle related object manages on non specified field lists.
    LP: #1518387
  * Does not handle django 1.7 migrations correctly. LP: #1518389

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 20 Nov 2015 11:28:56 -0700

django-piston3 (0.3~rc2-1) unstable; urgency=medium

  * Initial Packaging

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 06 Oct 2015 10:14:49 -0600

=== debian/control ===
Source: django-piston3
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  python3-all-dev, python3-setuptools,
  python3-django
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/django-piston3

Package: python3-django-piston3
Architecture: all
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: python3-django-piston
Conflicts: python3-django-piston
Replaces: python3-django-piston
Description: Python3 bindings for django-piston3
 The bindings support both Python 2 and Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/python3-django-piston3/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# upstream's tests are broken

override_dh_link:
	for DIR in debian/python*-django-piston3*/usr/lib/python*/dist-packages/piston3; do \
		ln -sf piston3 $${DIR%3}; done
	dh_link -O--buildsystem=pybuild
